> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crunchz.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Participants

> Remove members from a WhatsApp group using the group ID and participant phone numbers. Requires superadmin privileges.



## OpenAPI

````yaml POST /groups/participants/remove
openapi: 3.1.0
info:
  title: CrunchzApp API Docs
  version: 1.0.0
  description: >-
    Comprehensive WhatsApp API for seamless messaging integration, automation,
    and customer communication in your applications.
servers:
  - url: https://api.crunchz.app/api
security:
  - http: []
paths:
  /groups/participants/remove:
    post:
      tags:
        - Groups
      description: >-
        Remove members from a WhatsApp group using the group ID and participant
        phone numbers. Requires superadmin privileges.
      operationId: groups.removeParticipants
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GroupParticipantRemoveRequest'
      responses:
        '200':
          description: '`ParticipantCollection`'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ParticipantCollection'
        '400':
          $ref: '#/components/responses/BadRequestException'
        '401':
          $ref: '#/components/responses/UnauthorizedException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
        '500':
          $ref: '#/components/responses/InternalServerErrorException'
components:
  schemas:
    GroupParticipantRemoveRequest:
      type: object
      properties:
        group_id:
          type: string
          description: The Group ID
          example: xxx@g.us
        participants:
          type: array
          description: Array of participant objects to add to the group
          items:
            type: object
            properties:
              id:
                type: string
                description: The participant's Contact ID
                example: xxx@c.us
            required:
              - id
      required:
        - group_id
      title: GroupParticipantRemoveRequest
    ParticipantCollection:
      type: object
      properties:
        success:
          type: boolean
          description: The success status of response.
        message:
          type: string
          description: The message of response.
        data:
          type: array
          items:
            $ref: '#/components/schemas/ParticipantResource'
        meta:
          $ref: '#/components/schemas/PaginationMeta'
      required:
        - success
        - message
        - data
        - meta
      title: ParticipantCollection
    ParticipantResource:
      type: object
      properties:
        id:
          type: string
          description: The contact id
        is_admin:
          type: boolean
          description: The admin status
      required:
        - id
        - is_admin
      title: ParticipantResource
    PaginationMeta:
      type: object
      properties:
        current_page:
          type: integer
          description: Current page number
          example: 1
        per_page:
          type: integer
          description: Number of items per page
          example: 50
        total:
          type: integer
          description: Total number of items
          example: 150
        total_pages:
          type: integer
          description: Total number of pages
          example: 3
        has_next_page:
          type: boolean
          description: Whether there is a next page
          example: true
        has_prev_page:
          type: boolean
          description: Whether there is a previous page
          example: false
      required:
        - current_page
        - per_page
        - total
        - total_pages
        - has_next_page
        - has_prev_page
      title: PaginationMeta
  responses:
    BadRequestException:
      description: Bad request error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    UnauthorizedException:
      description: Unauthorized error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
    InternalServerErrorException:
      description: Internal server error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````